Anonymous Login
2019-02-21 16:53 PST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000221v2.0 Release (Closed)[All Projects] Generalpublic2010-06-21 21:18
Reportercaseydk 
Assigned Tocaseydk 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Versionv2.0.0 
Summary0000221: PHP5.3 Deprecation Testing
DescriptionWith the release of PHP 5.3, there's a new E_DEPRECATED warning to denote functions/functionality that will be deprecated in PHP6. We need to clean the system in preparation for this update. Pedro has already silenced the warnings in base.php.
TagsNo tags attached.
Attached Files

-Relationships
parent of 0000340closedcaseydk v2.0 Release (Closed) The date class throws logs 
related to 0000337assignedcaseydk v4.0 Release (Planning) Replace PEAR/Date 
related to 0000338new Pending Requests Update/Replace jpGraph 
+Relationships

-Notes

~0000373

caseydk (administrator)

Stefan Priebsch did a presentation today on PHP 5.3 Migration strategies and what to look out for. The video will be available here next week: http://phparch.com/conferences/webcasts


* Disclosure: This is part of a webcast series I helped organize and I generally moderate, so I'm biased. ;)

~0000378

caseydk (administrator)

Until this assessment and required fixes happen, you can grab Pedro's update here: http://web2project.svn.sourceforge.net/viewvc/web2project/trunk/base.php?view=markup&pathrev=526

~0000858

caseydk (administrator)

With the addition of a default timezone and a few of the fixes in r1072, there are no 5.3 issues in core... just in a couple of our supporting libraries.
+Notes

-Issue History
Date Modified Username Field Change
2009-07-27 07:16 caseydk New Issue
2009-07-31 11:42 caseydk Note Added: 0000373
2009-08-02 19:48 caseydk Note Added: 0000378
2009-12-08 11:50 caseydk Project Pending Requests => v1.3 Release (Closed)
2009-12-19 14:32 caseydk Relationship added parent of 0000337
2009-12-19 14:32 caseydk Project v1.3 Release (Closed) => Pending Requests
2009-12-19 14:41 caseydk Relationship deleted parent of 0000337
2009-12-19 14:41 caseydk Relationship added related to 0000337
2009-12-19 14:42 caseydk Relationship added related to 0000338
2009-12-23 05:20 caseydk Relationship added parent of 0000340
2010-01-31 07:51 caseydk Project Pending Requests => v2.0 Release (Closed)
2010-05-05 19:54 caseydk Note Added: 0000858
2010-05-05 19:54 caseydk Status new => resolved
2010-05-05 19:54 caseydk Resolution open => fixed
2010-05-05 19:54 caseydk Assigned To => caseydk
2010-06-21 21:18 caseydk Status resolved => closed
2010-06-21 21:18 caseydk Fixed in Version => v2.0
+Issue History